Get a contactless payment
Return one contactless payment by identifier.
curl --request GET \
--url https://api.guile.app/contactlessPayments/{contactlessPaymentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.guile.app/contactlessPayments/{contactlessPaymentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.guile.app/contactlessPayments/{contactlessPaymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"appointment": {
"id": "<string>",
"occursOn": "2023-11-07T05:31:56Z",
"barber": {
"id": "<string>",
"givenName": "<string>",
"surname": "<string>",
"preferredName": "<string>",
"biography": "<string>",
"spokenLanguages": [],
"experience": 50,
"instagram": "<string>",
"urlSlug": "<string>",
"profileImage_URL": "<string>"
},
"location": {
"id": "<string>",
"name": "<string>",
"shopName": "<string>"
},
"timeZone": "<string>"
},
"amount": "456.78",
"clientSecret": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"externalPaymentReference": {
"id": "<string>",
"paymentProcessor": "stripe"
},
"card": {
"maskedPersonalAccountNumber": "<string>",
"expirationMonth": "<string>",
"expirationYear": "<string>"
},
"authorizedAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z"
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {},
"recovery": {
"rateLimit": {
"limit": 123,
"remaining": 123,
"resetsAt": "2023-11-07T05:31:56Z"
}
},
"problems": [
{
"type": "<string>",
"title": "<string>",
"occurredAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"status": 349,
"detail": "<string>",
"instance": "<string>",
"attributes": {}
}
]
}Path Parameters
The unique, opaque system identifier for a resource. This case-sensitive ID is also used as path parameters in URLs or in other properties or parameters that reference a resource by ID rather than URL.
Response
Ok. The operation succeeded.
A pending or collected in-person payment for an appointment.
The unique identifier for this contactless payment.
The appointment this payment collects.
Show child attributes
Show child attributes
The amount to collect.
^-?(0|[1-9][0-9]*)\.[0-9][0-9]$"456.78"
The payment state.
created, processing, authorized, captured, failed, canceled The client secret associated with the payment processor integration.
The payment processor's reference for this payment.
Show child attributes
Show child attributes
The card-present payment method summary.
Show child attributes
Show child attributes
The date-time when the payment was authorized.
The date-time when the payment was captured.
The expiration date-time for this payment session.
Was this page helpful?
